import { Component } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { OtherInformationComponent } from '../other-information/other-information.component';

@Component({
  selector: 'app-payment-date',
  templateUrl: './payment-date.component.html',
  styleUrls: ['./payment-date.component.scss'],
})
export class PaymentDateComponent {
  constructor(public readonly dialog: MatDialog) {}

  onOpenDialog(): void {
    let dialogRef;
    dialogRef = this.dialog.open(OtherInformationComponent, {
      width: '70%',
    });

    dialogRef.afterClosed().subscribe((result) => {
      console.log(`Dialog result: ${result}`);
    });
  }
}
